step "the list is marked as in need of help" do
  @list.needs_help.should_not be true
  @list.needs_help!
end

step "the list is marked as in need of payment" do
  @list.needs_payment!
end

step "the list changes to another table" do
  @list.move_to_table! @other_table
end

step "the list should be marked as closed" do
  @list.reload
  @list.state.should == 'closed'
end

step 'a new order on a table in another section is created' do
  # @new_section = create :section, title: 'Terrace', supplier: @supplier
  # @new_table = create :table, number: 59, section: @new_section, supplier: @supplier
  @new_list = create :list, section: @other_section, table: @other_table, supplier: @supplier, user_ids: [@user.id]
  @new_order = @new_list.place_order(product_orders: [ {'product_id' => @product.id, 'quantity' => 3}], user: @user, first_order: true)
end
